starkwead

Synergy Pro OS X 10.6 crash curl library

1 post in this topic

After upgrading Synergy to pro with the wizard, the service (running as a client on OS X 10.6.8) will no longer launch with the following message in the log. CURL is already on version 7 in OS X 10.6 (see output of curl -V below). curl -V output [code]curl 7.19.7 (universal-apple-darwin10.0) libcurl/7.19.7 OpenSSL/0.9.8y zlib/1.2.3 Protocols: tftp ftp telnet dict ldap http file https ftps[/code] Synergy log output [code]FATAL: An error occurred: dlopen(/Users/Username/Library/Synergy/Plugins/libns.dylib, 1): Library not loaded: /usr/lib/libcurl.4.dylib Referenced from: /Users/Username/Library/Synergy/Plugins/libns.dylib Reason: Incompatible library version: libns.dylib requires version 7.0.0 or later, but libcurl.4.dylib provides version 6.0.0 NOTE: stopping synergy desktop process[/code]

Share this post


Link to post
Share on other sites
I doubt the encryption plugin would work on OSX 10.6 even if you did get past the curl error. But just for the sake of it, note that curl and libcurl are not necessarily the same thing. My guess is you could have multiple versions of the libcurl library and one of them is version 6. You could try to find it with this: otool -L /Users/Username/Library/Synergy/Plugins/libns.dylib (google tells me "otool -L" is the osx equivalent of ldd from linux/) then once you find the one for curl, you could rename it to something like the same filename with .old at the end, and then symlink the one for version 7 onto that same filename. like this: mv /usr/lib/libcurl.3.dylib /usr/lib/libcurl.3.dylib.old ln -s /usr/lib/libcurl.4.dylib /usr/lib/libcurl.3.dylib I haven't tested this, your mileage may vary, I am not a lawyer, buyer beware, I'm totally guessing here, etc etc and so on.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now